SolrDocument::valid
SolrDocumentField::__construct
Solr
PHP Manual

# The SolrDocumentField class

## Introdução

This represents a field in a Solr document. All its properties are read-only.

## Sinopse da classe

SolrDocumentField
final SolrDocumentField {
/* Properties */
readonly public string $name ;
readonly public float $boost ;
readonly public array $values ;
/* Methods */
__construct ( void )
public void __destruct ( void )
}

## Propriedades

name

  The name of the field.

boost

  The boost value for the field

values

  An array of values for this field

## Índice

- SolrDocumentField::__construct — Constructor
- SolrDocumentField::__destruct — Destructor

SolrDocument::valid
SolrDocumentField::__construct
Solr
PHP Manual